| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros | Enumerations | Variables
htmlwin.h File Reference

## Classes

class | wxHtmlWindowInterface
| Abstract interface to a HTML rendering window (such as wxHtmlWindow or wxHtmlListBox) that is passed to wxHtmlWinParser. More...
class | wxHtmlWindow
| wxHtmlWindow is probably the only class you will directly use unless you want to do something special (like adding new tag handlers or MIME filters). More...
class | wxHtmlLinkEvent
| This event class is used for the events generated by wxHtmlWindow. More...
class | wxHtmlCellEvent
| This event class is used for the events generated by wxHtmlWindow. More...

## Macros

#define | wxHW_SCROLLBAR_NEVER 0x0002
#define | wxHW_SCROLLBAR_AUTO 0x0004
#define | wxHW_NO_SELECTION 0x0008
#define | wxHW_DEFAULT_STYLE wxHW_SCROLLBAR_AUTO

## Enumerations

enum | wxHtmlOpeningStatus { wxHTML_OPEN, wxHTML_BLOCK, wxHTML_REDIRECT }
| Enum for wxHtmlWindow::OnOpeningURL and wxHtmlWindowInterface::OnOpeningURL. More...

## Variables

wxEventType | wxEVT_HTML_CELL_CLICKED
wxEventType | wxEVT_HTML_CELL_HOVER
wxEventType | wxEVT_HTML_LINK_CLICKED

## Macro Definition Documentation

#define wxHW_DEFAULT_STYLE wxHW_SCROLLBAR_AUTO

#define wxHW_NO_SELECTION 0x0008

#define wxHW_SCROLLBAR_AUTO 0x0004

#define wxHW_SCROLLBAR_NEVER 0x0002

## Enumeration Type Documentation

enum wxHtmlOpeningStatus

Enum for wxHtmlWindow::OnOpeningURL and wxHtmlWindowInterface::OnOpeningURL.

Enumerator
wxHTML_OPEN | Open the requested URL.
wxHTML_BLOCK | Do not open the URL.
wxHTML_REDIRECT | Redirect to another URL (returned from OnOpeningURL)

## Variable Documentation

wxEventType wxEVT_HTML_CELL_CLICKED

wxEventType wxEVT_HTML_CELL_HOVER

wxEventType wxEVT_HTML_LINK_CLICKED